Capsule API Example

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
CPSDData.h File Reference
`#include "CDefinesPrivate.h"`
`#include "CError.h"`

Go to the source code of this file.

## Typedefs
typedef enum clCPSDData_Band | clCPSDData_Band

## Enumerations
enum | clCPSDData_Band { clCPSDData_Band_Delta , clCPSDData_Band_Theta , clCPSDData_Band_Alpha , clCPSDData_Band_SMR , clCPSDData_Band_Beta }

## Functions
| CLC_STRUCT_WNN (PSDData, clCPSDData, device)
CL_DLL uint64_t | clCPSDData_GetTimestampMilli (clCPSDData psdData, clCError *error) NOEXCEPT
CL_DLL int32_t | clCPSDData_GetFrequenciesCount (clCPSDData psdData, clCError *error) NOEXCEPT
CL_DLL int32_t | clCPSDData_GetChannelsCount (clCPSDData psdData, clCError *error) NOEXCEPT
CL_DLL double | clCPSDData_GetFrequency (clCPSDData psdData, int32_t frequencyIndex, clCError *error) NOEXCEPT
CL_DLL double | clCPSDData_GetPSD (clCPSDData psdData, int32_t channelIndex, int32_t frequencyIndex, clCError *error) NOEXCEPT
CL_DLL float | clCPSDData_GetBandUpper (clCPSDData psdData, clCPSDData_Band band, clCError *error) NOEXCEPT
CL_DLL float | clCPSDData_GetBandLower (clCPSDData psdData, clCPSDData_Band band, clCError *error) NOEXCEPT
CL_DLL bool | clCPSDData_HasIndividualAlpha (clCPSDData psdData, clCError *error) NOEXCEPT
CL_DLL float | clCPSDData_GetIndividualAlphaLower (clCPSDData psdData, clCError *error) NOEXCEPT
CL_DLL float | clCPSDData_GetIndividualAlphaUpper (clCPSDData psdData, clCError *error) NOEXCEPT
CL_DLL bool | clCPSDData_HasIndividualBeta (clCPSDData psdData, clCError *error) NOEXCEPT
CL_DLL float | clCPSDData_GetIndividualBetaLower (clCPSDData psdData, clCError *error) NOEXCEPT
CL_DLL float | clCPSDData_GetIndividualBetaUpper (clCPSDData psdData, clCError *error) NOEXCEPT

## Typedef Documentation

## ◆ clCPSDData_Band

typedef enum clCPSDData_Band clCPSDData_Band

## Enumeration Type Documentation

## ◆ clCPSDData_Band

enum clCPSDData_Band

Enumerator
clCPSDData_Band_Delta |
clCPSDData_Band_Theta |
clCPSDData_Band_Alpha |
clCPSDData_Band_SMR |
clCPSDData_Band_Beta |

## Function Documentation

## ◆ CLC_STRUCT_WNN()

CLC_STRUCT_WNN | ( | PSDData | ,
|  | clCPSDData | ,
|  | device | )

## ◆ clCPSDData_GetBandLower()

CL_DLL float clCPSDData_GetBandLower | ( | clCPSDData | psdData,
|  | clCPSDData_Band | band,
|  | clCError * | error )

## ◆ clCPSDData_GetBandUpper()

CL_DLL float clCPSDData_GetBandUpper | ( | clCPSDData | psdData,
|  | clCPSDData_Band | band,
|  | clCError * | error )

## ◆ clCPSDData_GetChannelsCount()

CL_DLL int32_t clCPSDData_GetChannelsCount | ( | clCPSDData | psdData,
|  | clCError * | error )

## ◆ clCPSDData_GetFrequenciesCount()

CL_DLL int32_t clCPSDData_GetFrequenciesCount | ( | clCPSDData | psdData,
|  | clCError * | error )

## ◆ clCPSDData_GetFrequency()

CL_DLL double clCPSDData_GetFrequency | ( | clCPSDData | psdData,
|  | int32_t | frequencyIndex,
|  | clCError * | error )

## ◆ clCPSDData_GetIndividualAlphaLower()

CL_DLL float clCPSDData_GetIndividualAlphaLower | ( | clCPSDData | psdData,
|  | clCError * | error )

## ◆ clCPSDData_GetIndividualAlphaUpper()

CL_DLL float clCPSDData_GetIndividualAlphaUpper | ( | clCPSDData | psdData,
|  | clCError * | error )

## ◆ clCPSDData_GetIndividualBetaLower()

CL_DLL float clCPSDData_GetIndividualBetaLower | ( | clCPSDData | psdData,
|  | clCError * | error )

## ◆ clCPSDData_GetIndividualBetaUpper()

CL_DLL float clCPSDData_GetIndividualBetaUpper | ( | clCPSDData | psdData,
|  | clCError * | error )

## ◆ clCPSDData_GetPSD()

CL_DLL double clCPSDData_GetPSD | ( | clCPSDData | psdData,
|  | int32_t | channelIndex,
|  | int32_t | frequencyIndex,
|  | clCError * | error )

## ◆ clCPSDData_GetTimestampMilli()

CL_DLL uint64_t clCPSDData_GetTimestampMilli | ( | clCPSDData | psdData,
|  | clCError * | error )

## ◆ clCPSDData_HasIndividualAlpha()

CL_DLL bool clCPSDData_HasIndividualAlpha | ( | clCPSDData | psdData,
|  | clCError * | error )

## ◆ clCPSDData_HasIndividualBeta()

CL_DLL bool clCPSDData_HasIndividualBeta | ( | clCPSDData | psdData,
|  | clCError * | error )